#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright 2012 Liricus SRL <info@liricus.com.ar>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Fra


#===============================================================================
# DOCS
#===============================================================================

"""Starts the socialframe server.

"""

#===============================================================================
# IMPORT
#===============================================================================

import sys
import os


#===============================================================================
# MAIN
#===============================================================================

def main():
    """Loads the user configuration file ``settings.py`` and starts. If fails to
    do so, a new ``settings.py`` file is created from a template that has to be
    configured, this method shows the path to the file.
    
    """
    
    path = os.getcwdu()
    sys.path.insert(0, path)
    
    import socialframe_server
    
    try:
        import settings
    except ImportError:
        for parg in ("--make-env", "--help", "-h", "--version"):
            if parg in sys.argv:
                socialframe_server.run_cli()
                sys.exit(0)
        print("please run 'social_frame' with argument '--make-env' or '--help'")
        sys.exit(1)
        

    socialframe_server.init_settings(settings)
    socialframe_server.run_cli()


if __name__ == "__main__":
    main()
